LIMNORIA-TEST(1)

NAME
limnoria-test - Runs the test suite for a Limnoria plugin

SYNOPSIS
limnoria-test [options] plugins

DESCRIPTION
limnoria-test Runs the test suite for a Limnoria plugin

OPTIONS

--version
    Show version of program.

-h, --help
    Show summary of options.

-c, --clean
    Cleans the various data/conf/logs directories before running tests.

-t TIMEOUT, --timeout=TIMEOUT
    Specifies the timeout for tests to return responses.

-v, --verbose
    Sets the verbose flag, logging extra information about each test that runs.

--no-network
    Prevents the network-based tests from being run.

--trace
    Traces all calls made. Unless you're really in a pinch, you probably shouldn't do this; it results in copious amounts of output.

, --plugins-dir=PLUGINSDIR
    Looks in the given directory for plugins and loads the tests for all of them.

SEE ALSO
python(1), limnoria(1), limnoria-botchk(1), limnoria-wizard(1), limnoria-adduser(1), limnoria-plugin-doc(1), limnoria-plugin-create(1)

AUTHOR
This manual page was originally written by James McCoy <vega dot james at gmail dot com>. Permission is granted to copy, distribute and/or modify this document under the terms of the Limnoria license, a BSD-style license.